=== debian/rules ===
#!/usr/bin/make -f
DEB_CMAKE_INSTALL_PREFIX := /usr
DPKG_EXPORT_BUILDFLAGS = 1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/dpkg/buildflags.mk
