## crrcsim 0.9.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 project (crrcsim)
 
 set(CMAKE_PACKAGE_NAME    "${PROJECT_NAME}")
-set(CMAKE_PACKAGE_VERSION "0.9.12")
+set(CMAKE_PACKAGE_VERSION "0.9.13")
 
 INCLUDE (CheckIncludeFiles)
 INCLUDE (CheckIncludeFileCXX)
@@ -130,7 +130,7 @@
 #endif (NOT USE_PLIB)
 TRY_RUN(TEST_RETURNCODE TEST_DID_COMPILE "${CMAKE_BINARY_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/cmake/test_plib.cpp")
 if (TEST_DID_COMPILE AND TEST_RETURNCODE EQUAL 42)
-  set(PLIB_LIBRARIES plibssg plibsg plibpuaux plibpu plibul plibfnt)
+  set(PLIB_LIBRARIES plibssg plibssgaux plibsg plibpuaux plibpu plibul plibfnt)
 else (TEST_DID_COMPILE AND TEST_RETURNCODE EQUAL 42)
   message(FATAL_ERROR "PLIB >= 1.8.4 not found, but is needed to compile ${PROJECT_NAME}")
 endif (TEST_DID_COMPILE AND TEST_RETURNCODE EQUAL 42)
