=== src/GUI/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
  crrc_ctrldev.cpp
  crrc_ctrlgen.cpp
  crrc_dialog.cpp
+ crrc_f3a.cpp
  crrc_f3f.cpp
  crrc_gui_main.cpp
  crrc_gui_viewwind.cpp
@@ -23,6 +24,7 @@
  puaFileBox.cpp
  puaGLPreview.cpp
  puaScrListBox.cpp
+ puaImageFrame.cpp
  util.cpp
   )
 add_library(GUI ${GUI_SRCS})
