=== src/mod_landscape/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,13 @@
 set(MOD_LANDSCAPE_SRCS
+  crrc_builtin_scenery.cpp
   crrc_scenery.cpp
-  crrc_builtin_scenery.cpp
+  hd_ssgLOSterrain.cpp
+  hd_tabulatedterrain.cpp
   hd_tilingterrain.cpp
-  winddata3D.cpp
+  heightdata.cpp
   model_based_scenery.cpp
   wind_from_terrain.cpp
+  winddata3D.cpp
   )
 add_library(mod_landscape ${MOD_LANDSCAPE_SRCS})
