=== src/mod_mode/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 set(MOD_MODE_SRCS
+  F3A/handlerF3A.cpp
   F3F/handlerF3F.cpp
   )
 add_library(mod_mode ${MOD_MODE_SRCS})
