=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: crrcsim
 Section: games
-Priority: extra
-Maintainer: Agustin Henze <tin@sluc.org.ar>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Agustin Henze <tin@debian.org>
 Build-Depends:
- debhelper (>= 9),
- cdbs,
+ debhelper (>= 11),
  dpkg-dev (>= 1.16.1~),
  cmake,
  libsdl1.2-dev,
  libboost-thread-dev,
  libplib-dev,
- libcgal-dev,
- libjpeg8-dev,
+ libcgal-dev (>= 5.0~),
+ libjpeg-dev,
  portaudio19-dev,
-Standards-Version: 3.9.3
+Standards-Version: 4.1.4
 Homepage: http://crrcsim.berlios.de
+Vcs-Git: https://salsa.debian.org/debian/crrcsim.git
+Vcs-Browser: https://salsa.debian.org/debian/crrcsim/
 
 Package: crrcsim
 Architecture: any
