=== debian/rules ===
#!/usr/bin/make -f
DEB_CMAKE_INSTALL_PREFIX := /usr
DPKG_EXPORT_BUILDFLAGS = 1
DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_autoreconf:
	# nothing

override_dh_auto_configure:
	DH_COMPAT=10 dh_auto_configure
